curl https://api.thanxsandbox.com/partner/users \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}' \
{
"users": [
{
"id": "wroeiu2304hfwf",
"email": "john.smith@example.com",
"phone": "+14158672345",
"first_name": "Jane",
"last_name": "Smith",
"birth_date": {
"year": 1987,
"month": 8,
"day": 14
},
"zip_code": "12345",
"updated_at": "2025-02-01T19:00:00Z",
"loyalty": {
"tier": "silver",
"points_balance": 120.50,
"user_joined_at": "2023-12-01T19:00:00Z"
},
"communication_settings": {
"marketing_general_email": true
}
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_pages": 1
}
}
Users
Get Users
This endpoint will return all the users of the specified merchant.
GET
/
partner
/
users
curl https://api.thanxsandbox.com/partner/users \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}' \
{
"users": [
{
"id": "wroeiu2304hfwf",
"email": "john.smith@example.com",
"phone": "+14158672345",
"first_name": "Jane",
"last_name": "Smith",
"birth_date": {
"year": 1987,
"month": 8,
"day": 14
},
"zip_code": "12345",
"updated_at": "2025-02-01T19:00:00Z",
"loyalty": {
"tier": "silver",
"points_balance": 120.50,
"user_joined_at": "2023-12-01T19:00:00Z"
},
"communication_settings": {
"marketing_general_email": true
}
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_pages": 1
}
}
Scope required:
users.readThe user’s phone number is not gathered by Thanx with the permission to use it
for marketing.
The Partner API does not support creating or enrolling a user. To do so, use the
Consumer API
POST /users. Existing users can be
updated via Update User.Parameters
Optionally filter by phone. If there is a match, a single user record will be
returned. This value is expected to be in
E.164 format.
Phone numbers must be in E.164 format with the country code prefix
(e.g.
+14155551212). For US numbers and US territories, the prefix is
+1, including Puerto Rico (787/939), USVI (340), Guam (671),
Northern Mariana Islands (670), and American Samoa (684). Numbers
without the country code prefix may be parsed as international and return
Unknown user.Response
curl https://api.thanxsandbox.com/partner/users \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}' \
{
"users": [
{
"id": "wroeiu2304hfwf",
"email": "john.smith@example.com",
"phone": "+14158672345",
"first_name": "Jane",
"last_name": "Smith",
"birth_date": {
"year": 1987,
"month": 8,
"day": 14
},
"zip_code": "12345",
"updated_at": "2025-02-01T19:00:00Z",
"loyalty": {
"tier": "silver",
"points_balance": 120.50,
"user_joined_at": "2023-12-01T19:00:00Z"
},
"communication_settings": {
"marketing_general_email": true
}
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_pages": 1
}
}